Retrieve all claims sources
Roles
/v1/claim-sourcesReturns a list of all claims sources configured on your tenant.
Analytic event
- CLAIM_SOURCE_RETRIEVE_LIST_START
- CLAIM_SOURCE_RETRIEVE_LIST_SUCCESS
- CLAIM_SOURCE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned entries, default 100
1 <= value <= 1000Starting point for the range of entries
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/claim-sources"{
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM",
"data": [
{
"id": "57fa09e2-82f3-4d3d-9eca-d0253e84a4e6",
"name": "My claims from example.com",
"url": "https://example.com",
"requestMethod": "GET",
"requestParameters": {
"mapFrom": "claims.accountType"
},
"authorization": {
"type": "api-key",
"value": "****************************************61m1J"
}
}
]
}{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"location": "query",
"msg": "Invalid value",
"param": "cursor",
"value": "abc"
}
]
}How would you rate this page?
Configure a claims source POST
Configures a new claims source for your tenant. When issuing a new credential, MATTR VII will make either a GET or a POST request to the claims source using the configured request parameters and fetch available data. This fetched data can then be included in the issued credential. ### **Analytic event** * CLAIM_SOURCE_CREATE_START * CLAIM_SOURCE_CREATE_SUCCESS * CLAIM_SOURCE_CREATE_FAIL
Retrieve a claims source GET
Retrieves an existing claims source by providing its `claimSourceID`. ### **Analytic event** * CLAIM_SOURCE_RETRIEVE_START * CLAIM_SOURCE_RETRIEVE_SUCCESS * CLAIM_SOURCE_RETRIEVE_FAIL